Staying Up To Date

Geist Interactive follows FileMaker’s lead on supporting FileMaker versions, meaning we only fully support the same versions of FileMaker that FileMaker Inc supports.  As of September 21st, 2018 that means we only support FileMaker 15 and greater. This applies to all of products and services.

In addition some of products and services may have additional version restrictions, listed below.

Products Requiring FileMaker 16 or greater:

Some of products may work in earlier versions, but we can’t guarantee that they will continue to work in the future. We recommend that all of our customers stay keep their installations up to date.